Subject: [bug#28398] Xfburn

From: Christopher Baines <[email-masked]>
Date: Sat, 30 Sep 2017 16:14:23 +0100

On Sat, 9 Sep 2017 14:15:04 +0000
ng0 <[email-masked]> wrote:

> This adds Xfburn + 2 libburnia packages it depends on.
> 
> What I could not test was actually burning a disk,
> as I can't afford to buy new optical disks at the moment.
> 
> It builds.

It builds for me too :)

Looking at the libburn package.

> +    (synopsis "library for reading, mastering and writing optical
> discs")

guix lint says:

gnu/packages/cdrom.scm:717:14: [email-masked]: synopsis should start
with an upper-case letter or digit

> +    (description
> +     "libburn is the library by which preformatted data get onto optical media.
> +It uses either @file{/dev/sgN} (e.g. on kernel 2.4 with ide-scsi) or @file{/dev/srM}
> +or @file{/dev/hdX} (e.g. on kernel 2.6).  libburn is the foundation of the
> +libburnia-project cdrecord emulation.  Its code is independent of cdrecord.")

I'm unsure about the first sentence, "libburn is the library" makes it
sounds like there is only one library (this one) that does this. Would
something like "libburn is a library to write preformatted data to
optical media" work?

Also, I don't get the cdrecord reference at the end.

Looking at the libisofs package.

> +    (synopsis "library for reading, mastering and writing optical discs")

guix lint says:

gnu/packages/cdrom.scm:742:14: [email-masked]: synopsis should start
with an upper-case letter or digit

Also, this is the same as the libburn package, which probably means
they need tweaking to be more useful.

> +    (description
> +     "libisofs is a library to create an ISO-9660 filesystem, supports extensions

I think this would read better split in to two sentences, as in "...
filesystem.  It supports"

> +like RockRidge or Joliet, and introduces an own extension AAIP.  It is a full

I think this would read better if you swap out "an" for "its".

> +featured ISO-9660 editor which composes and changes the directory tree of an
> +ISO image.  This tree and its newly imported data file contents get then

I think this would read better if you swap the order of "get" and
"then", as in "imported data file contents then get".

Looking finally at the xfburn package.

The description seems a bit odd to me, as things like blanking CDs, or
compositions are not terms I've heard commonly, but I think this is ok.

I had some broken icons when I tried running this, and got some
corresponding warnings, but this could be because I'm using Gnome and
not XFCE.

(xfburn:15797): Gtk-WARNING **: Error loading theme icon
'stock_xfburn-audio-cd' for stock: Icon 'stock_xfburn-audio-cd' not
present in theme

Thanks for the patches, and let me know if the proofreading the
descriptions is helpful?